Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.components.multiresource
Class MultiResourceListModel

    java.lang.Object
      javax.swing.AbstractListModel
          edu.stanford.smi.protegex.owl.ui.components.multiresource.MultiResourceListModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, ListModel

    public class MultiResourceListModel

extends AbstractListModel
implements edu.stanford.smi.protege.util.Disposable

A ListModel representing values of a subject-predicate pair.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`MultiResourceListModel(RDFProperty predicate)`

Method Summary
`void` | `dispose()`
`Object` | `getElementAt(int index)`
`RDFProperty` | `getPredicate()`
`RDFResource` | `getResourceAt(int row)`
`int` | `getRowOf(Object value)`
`int` | `getSize()`
`RDFResource` | `getSubject()`
`boolean` | `isEditable(int row)`
`boolean` | `isRDFResource(int row)`
`void` | `setSubject(RDFResource subject)`
`void` | `updateValues()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiResourceListModel

    public MultiResourceListModel(RDFProperty predicate)

Method Detail

### getElementAt

    public Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `ListModel`

### getPredicate

    public RDFProperty getPredicate()

### getResourceAt

    public RDFResource getResourceAt(int row)

### getRowOf

    public int getRowOf(Object value)

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`

### getSubject

    public RDFResource getSubject()

### isEditable

    public boolean isEditable(int row)

### isRDFResource

    public boolean isRDFResource(int row)

### setSubject

    public void setSubject(RDFResource subject)

### updateValues

    public void updateValues()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.